#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${CMAKE_SOURCE_DIR}/arts/gui/kde
  ${CMAKE_SOURCE_DIR}/arts/tools
  ${CMAKE_SOURCE_DIR}/krec
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### libkrecexport_ogg (module) ################

tde_add_kpart( libkrecexport_ogg AUTOMOC
  SOURCES
    krecexport_ogg.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared tdeutils-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmoduleseffects-shared
    krec_common-static ${OGG_LIBRARIES} ${VORBIS_LIBRARIES} ${VORBISENC_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES krec_exportogg.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
